module SoarAuthenticationToken
end

require 'soar_authentication_token/providers/jwt_token_generator'
require 'soar_authentication_token/providers/jwt_token_validator'
require 'soar_authentication_token/providers/remote_token_generator'
require 'soar_authentication_token/providers/remote_token_validator'
require 'soar_authentication_token/providers/static_token_validator'
require 'soar_authentication_token/token_provider'
require 'soar_authentication_token/providers/cookie_provider'
require 'soar_authentication_token/providers/authorization_header_provider'
require 'soar_authentication_token/providers/cascade_provider'
require 'soar_authentication_token/keypair_generator'
require 'soar_authentication_token/config_rotator'
require 'soar_authentication_token/token_generator'
require 'soar_authentication_token/token_validator'
require 'soar_authentication_token/rack_middleware'
require 'soar_authentication_token/version'
