require 'openssl'

module SoarAuthenticationToken
  class KeypairGenerator
    def generate
      private_key = OpenSSL::PKey::EC.new 'secp521r1'
      private_key.generate_key
      public_key = OpenSSL::PKey::EC.new private_key
      public_key.private_key = nil
      [private_key.to_pem, public_key.to_pem]
    end
  end
end
