module SoarAuthenticationToken
  class AuthorizationHeaderProvider
    def initialize(configuration)
      @configuration = configuration
      validate_configuration
    end

    def fetch(request)
      return false unless request.env[@configuration['header_name']]

      request.env[@configuration['header_name']]
    end

    def validate_configuration
      raise "'cookie_name' must be configured" unless @configuration['header_name']
    end
  end
end
