# -*- encoding: utf-8 -*-
# stub: soar_authentication_token 7.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "soar_authentication_token".freeze
  s.version = "7.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Barney de Villiers".freeze]
  s.date = "2017-10-19"
  s.description = "Interface to the authentication token service".freeze
  s.email = ["barney.de.villiers@hetzner.co.za".freeze]
  s.executables = ["console".freeze, "keypair-generator".freeze, "rotate-configs".freeze, "setup".freeze]
  s.files = ["bin/console".freeze, "bin/keypair-generator".freeze, "bin/rotate-configs".freeze, "bin/setup".freeze]
  s.homepage = "https://gitlab.host-h.net/hetznerZA/authentication-token-service".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Client library for Hetzner's authentication token service".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<soar_xt>.freeze, ["~> 0.0.3"])
    s.add_runtime_dependency(%q<jwt>.freeze, ["~> 1.5", ">= 1.5.6"])
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.6.4", "< 3.0.0"])
    s.add_runtime_dependency(%q<authenticated_client>.freeze, ["~> 0.0.2"])
    s.add_runtime_dependency(%q<http-cookie>.freeze, ["~> 1.0", ">= 1.0.3"])
    s.add_development_dependency(%q<auth_token_store_provider>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.13"])
    s.add_development_dependency(%q<capybara>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_development_dependency(%q<simplecov-rcov>.freeze, ["~> 0"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
  else
    s.add_dependency(%q<soar_xt>.freeze, ["~> 0.0.3"])
    s.add_dependency(%q<jwt>.freeze, ["~> 1.5", ">= 1.5.6"])
    s.add_dependency(%q<rack>.freeze, [">= 1.6.4", "< 3.0.0"])
    s.add_dependency(%q<authenticated_client>.freeze, ["~> 0.0.2"])
    s.add_dependency(%q<http-cookie>.freeze, ["~> 1.0", ">= 1.0.3"])
    s.add_dependency(%q<auth_token_store_provider>.freeze, ["~> 1.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.13"])
    s.add_dependency(%q<capybara>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_dependency(%q<simplecov-rcov>.freeze, ["~> 0"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
  end
end
